#pragma once

struct PakNode;

struct PakDir : public std::map<std::string, std::unique_ptr<PakNode>> {
	using std::map<std::string, std::unique_ptr<PakNode>>::map;
};

struct PakFile : public QByteArray {
	using QByteArray::QByteArray;
};

struct PakNode : public std::variant<PakDir, PakFile> {
	using std::variant<PakDir, PakFile>::variant;
};

PakDir readPak(std::istream &st);

// EOF
